class VideoMoreModel {
  String? status;
  int? statusCode;
  String? message;
  List<Data>? data;

  VideoMoreModel({this.status, this.statusCode, this.message, this.data});

  VideoMoreModel.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    statusCode = json['status_code'];
    message = json['message'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['status'] = this.status;
    data['status_code'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  int? id;
  String? contentType;
  String? title;
  String? description;
  String? tags;
  String? file;
  int? categoryId;
  String? image;
  String? isActive;
  String? createdAt;

  Data(
      {this.id,
      this.contentType,
      this.title,
      this.description,
      this.tags,
      this.file,
      this.categoryId,
      this.image,
      this.isActive,
      this.createdAt});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    contentType = json['content_type'];
    title = json['title'];
    description = json['description'];
    tags = json['tags'];
    file = json['file'];
    categoryId = json['category_id'];
    image = json['image'];
    isActive = json['is_active'];
    createdAt = json['created_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['content_type'] = this.contentType;
    data['title'] = this.title;
    data['description'] = this.description;
    data['tags'] = this.tags;
    data['file'] = this.file;
    data['category_id'] = this.categoryId;
    data['image'] = this.image;
    data['is_active'] = this.isActive;
    data['created_at'] = this.createdAt;
    return data;
  }
}
